{% if (products is not null and products is not empty) or (articles is not null and articles is not empty)%}
    {% if products is not null and products is not empty%}
    <h2>Сувениры</h2>
    {% for product in products %}
        <a class="search-result__item" href="{{ path('productsItem', {'slug' : product.slug}) }}">
            <div class="search-result__title">{{ product.name }}</div>
            <div class="search-result__note">Артикул: {{ product.vendorCode }}</div>
            <div class="search-result__description">{{ product.description | striptags }}</div>
        </a>
    {% endfor %}
    {% endif %}
    {% if articles is not null and articles is not empty%}
        <h2>ПреМудрости</h2>
        {% for article in articles %}
            <a class="search-result__item" href="{{ path('articleItem', {'slug': article.slug}) }}">
                <div class="search-result__title">{{ article.title }}</div>
                <div class="search-result__description">{{ article.description | striptags | crop(300) }}</div>
            </a>
        {% endfor %}
    {% endif %}

{% else %}
<p>Поиск не дал результата.</p>
<p>Попробуйте уточнить запрос.</p>
{% endif %}